//
//  Hangmanipad2ViewController.h
//  Hangmanipad2
//
//  Created by Laurence Ehrhardt on 4/13/11.
//  Copyright 2011 Ballast Lane Applications. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "SettingsViewController.h"


@class EPSSoundPlayer;

@interface Hangmanipad2ViewController : UIViewController <SettingsDelegate> {
    
    EPSSoundPlayer *soundPlayer;
    
    UIButton *letterButton;
    NSArray *letterButtons;
    NSString *gameWord;
    NSMutableString *displayWord;
    UILabel *wordLabel;
    NSInteger wrongAnswerCount;
    UIButton *newGameButton;
    UIButton *settingsButton;
    UIImageView *hangmanImage;
    UIImageView *evilImage;
    UIPopoverController *popover;
    
}

@property (nonatomic, retain) EPSSoundPlayer *soundPlayer;
@property (nonatomic, retain) NSString *gameWord;
@property (nonatomic, retain) NSMutableString *displayWord;
@property (nonatomic, assign) NSInteger wrongAnswerCount;
@property (nonatomic, retain) IBOutlet UIButton *letterButton;
@property (nonatomic, retain) IBOutlet UILabel *wordLabel;
@property (nonatomic, retain) IBOutlet UIButton *newGameButton;
@property (nonatomic, retain) IBOutlet UIButton *settingsButton;
@property (nonatomic, retain) IBOutlet UIImageView *hangmanImage;
@property (nonatomic, retain) IBOutlet UIImageView *evilImage;
@property (nonatomic, retain) UIPopoverController *popover;

- (IBAction)newGame:(id)sender;
- (IBAction)showSettings:(id)sender;
- (IBAction)submitLetter:(id)sender;

- (void)gameLevelSelected:(id)sender;

- (void) newGame;


@end
