//
//  SettingsViewController.m
//  Hangmanipad2
//
//  Created by Laurence Ehrhardt on 4/18/11.
//  Copyright 2011 Ballast Lane Applications. All rights reserved.
//

#import "SettingsViewController.h"
#import "Hangmanipad2ViewController.h"



@implementation SettingsViewController

@synthesize delegate;

-(IBAction) switchChanged:(id)sender {
	
    UISwitch *temp = (UISwitch *) sender;
	
    NSString *s = @"level";
    
    if (temp.on) {
        NSLog(@"Switch On");
        s = @"Evil";
    } else {
        NSLog(@"Switch Off");
        s = @"Friendly";
        }

    if (delegate !=nil) {
        [delegate gameLevelSelected:s];
    } 

}

- (IBAction)sendSupportMail {
    MFMailComposeViewController *picker = [[MFMailComposeViewController alloc] init];
    
    picker.mailComposeDelegate = self;
    
    [picker setSubject:NSLocalizedString(@"Hangman Feedback", @"Feedback email subject")];
    [picker setToRecipients:[NSArray arrayWithObject:NSLocalizedString(@"support@ballastlane.com", @"Feedback email to-address")]];
    
    [self presentModalViewController:picker animated:YES];
    [picker release];
}

-(void)mailComposeController:(MFMailComposeViewController*)controller didFinishWithResult:(MFMailComposeResult)result error:(NSError*)error {
    
    [self dismissModalViewControllerAnimated:YES];
    
}

- (IBAction)openBallastLaneWebsite {
	NSURL *ballastLaneURL = [NSURL URLWithString:@"http://www.ballastlane.com"];
	[[UIApplication sharedApplication] openURL:ballastLaneURL];
}


- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)dealloc
{
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    
    self.contentSizeForViewInPopover = CGSizeMake(320, 318);

}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
	return YES;
}

@end
