//
//  SettingsViewController.h
//  Hangmanipad2
//
//  Created by Laurence Ehrhardt on 4/18/11.
//  Copyright 2011 Ballast Lane Applications. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MessageUI/MessageUI.h>
#import <MessageUI/MFMailComposeViewController.h>

@protocol SettingsDelegate
-(void) gameLevelSelected:(NSString *)gameLevel;
@end


@interface SettingsViewController : UIViewController <MFMailComposeViewControllerDelegate> {
    
    id<SettingsDelegate> delegate;

}

@property (nonatomic, assign) id<SettingsDelegate> delegate;

- (IBAction) switchChanged:(id)sender;
- (IBAction)sendSupportMail;
- (IBAction)openBallastLaneWebsite;


@end
